// GraphicsSubDlg.cpp : Implementierungsdatei
//

#include "stdafx.h"
#include "gp_demo.h"
#include "GraphicsSubDlg.h"
#include ".\graphicssubdlg.h"


// CGraphicsSubDlg-Dialogfeld

IMPLEMENT_DYNAMIC(CGraphicsSubDlg, CDialog)
CGraphicsSubDlg::CGraphicsSubDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGraphicsSubDlg::IDD, pParent)
	, m_sPicturePath(_T(""))
	, m_sScreenshotPath(_T(""))
{
}

CGraphicsSubDlg::~CGraphicsSubDlg()
{
}

void CGraphicsSubDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_PIC_EDIT, m_sPicturePath);
	DDX_Text(pDX, IDC_SS_EDIT, m_sScreenshotPath);
	DDX_Control(pDX, IDC_SS_FORMAT1, m_cSSFormat);
}


BEGIN_MESSAGE_MAP(CGraphicsSubDlg, CDialog)
	ON_BN_CLICKED(IDC_SET_PIC_BUTTON, OnBnClickedSetPicButton)
	ON_BN_CLICKED(IDC_SET_PIC_BUTTON2, OnBnClickedSetPicButton2)
END_MESSAGE_MAP()


// CGraphicsSubDlg-Meldungshandler

void CGraphicsSubDlg::OnBnClickedSetPicButton()
{
	UpdateData(true);
	Cgp_demoDlg *pWnd = (Cgp_demoDlg*) ::AfxGetApp()->m_pMainWnd;
	pWnd->GPPIC_LoadNewPicture((LPCTSTR)m_sPicturePath);
}

void CGraphicsSubDlg::OnBnClickedSetPicButton2()
{
	UpdateData(true);
}

BOOL CGraphicsSubDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_cSSFormat.SetCheck(1);

	return TRUE;  
}
