// SLSubDlg.cpp : Implementierungsdatei
//

#include "stdafx.h"
#include "gp_demo.h"
#include "SLSubDlg.h"
#include ".\slsubdlg.h"


// CSLSubDlg-Dialogfeld

IMPLEMENT_DYNAMIC(CSLSubDlg, CDialog)
CSLSubDlg::CSLSubDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSLSubDlg::IDD, pParent)
	, m_iSLxpos(0)
	, m_iSLypos(0)
	, m_iSLfontsize(0)
	, m_R(0)
	, m_G(0)
	, m_B(0)
	, m_A(0)
	, m_sSLText(_T(""))
{
}

CSLSubDlg::~CSLSubDlg()
{
}

void CSLSubDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_SL_XPOS_EDIT, m_iSLxpos);
	DDX_Text(pDX, IDC_SL_YPOS_EDIT, m_iSLypos);
	DDX_Text(pDX, IDC_SL_FONTSIZE_EDIT, m_iSLfontsize);
	DDX_Control(pDX, IDC_SL_FONTTYPE1, m_cFontType);
	DDX_Control(pDX, IDC_SL_BLACKBACKGROUND_CHECK, m_cBlackBackground);
	DDX_Control(pDX, IDC_SL_TEXTBOLD, m_cBold);
	DDX_Text(pDX, IDC_SL_R_EDIT, m_R);
	DDX_Text(pDX, IDC_SL_G_EDIT, m_G);
	DDX_Text(pDX, IDC_SL_B_EDIT, m_B);
	DDX_Text(pDX, IDC_SL_A_EDIT, m_A);
	DDX_Control(pDX, IDC_SL_COMBO, m_ObjectNr);
	DDX_Text(pDX, IDC_SL_EDIT, m_sSLText);
}


BEGIN_MESSAGE_MAP(CSLSubDlg, CDialog)
	
	ON_BN_CLICKED(IDC_ML_SETTEXT_BUTTON, OnBnClickedMlSettextButton)
END_MESSAGE_MAP()


// CSLSubDlg-Meldungshandler


BOOL CSLSubDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_cFontType.SetCheck(1);

	m_ObjectNr.AddString("5");
	m_ObjectNr.AddString("4");
	m_ObjectNr.AddString("3");
	m_ObjectNr.AddString("2");
	m_ObjectNr.AddString("1");

	m_ObjectNr.SetCurSel(0);

	return TRUE; 
}

void CSLSubDlg::OnBnClickedMlSettextButton()
{
	UpdateData(true);

	BYTE cObjectNumber		= m_ObjectNr.GetCurSel();
    WORD wTextPosX			= m_iSLxpos;
	WORD wTextPosY			= m_iSLypos;
	DWORD dwTextColor		= D3DCOLOR_ARGB(m_A,m_R,m_G,m_B);
	bool bBlackBackground	= (m_cBlackBackground.GetCheck()==BST_CHECKED?true:false);
    BYTE cSize				= m_iSLfontsize;
    bool bTextBold          = (m_cBold.GetCheck()==BST_CHECKED?true:false);
	BYTE cFontFamily        = (m_cFontType.GetCheck()==BST_CHECKED?0:1);

	Cgp_demoDlg *pWnd = (Cgp_demoDlg*) ::AfxGetApp()->m_pMainWnd;
	pWnd->GPSL_SetTextLineData(cObjectNumber, wTextPosX, wTextPosY, (LPCTSTR)m_sSLText,
                               dwTextColor, bBlackBackground, cSize, bTextBold, cFontFamily);
}
