// gp_demoDlg.h : Headerdatei
//

#pragma once
#include "afxwin.h"
#include "afxcmn.h"

// Cgp_demoDlg Dialogfeld
class Cgp_demoDlg : public CDialog
{
// Konstruktion
public:
	Cgp_demoDlg(CWnd* pParent = NULL);	// Standardkonstruktor
	enum { IDD = IDD_GP_DEMO_DIALOG };
	
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	HICON m_hIcon;
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

public:
    virtual BOOL DestroyWindow();
       
    HINSTANCE m_hGPDll;
    HINSTANCE m_hGPHookDll;    
    
    GPSL_SETTEXTLINEDATA GPSL_SetTextLineData;
    GPSL_SHOWTEXT GPSL_ShowText; 

    GPML_SETTEXTMULTILINEDATA GPML_SetTextMultilineData;
    GPML_SHOWTEXT GPML_ShowText;
    
    GPPIC_LOADNEWPICTURE GPPIC_LoadNewPicture;
    GPPIC_SHOWPICTUREPOS GPPIC_ShowPicturePos;
	
	GPSI_GETSCREENSIZE GPSI_GetScreenSize;
   
	GPSI_SHOWFPS GPSI_ShowFPS;

	GPSS_MAKESCREENSHOT GPSS_MakeScreenshot;
  
    GPH_HOOKON GPH_HookOn;
    GPH_HOOKOFF GPH_HookOff;    
    
    afx_msg LRESULT OnHookKeyHandler(WPARAM wParam, LPARAM lParam);
 
private:

	CGeneralSubDlg  *m_pGeneralSubDlg;
	CGraphicsSubDlg *m_pGraphicsSubDlg;
	CMLSubDlg       *m_pMLSubDlg;
	CSLSubDlg       *m_pSLSubDlg;

	afx_msg void OnPaint();
	afx_msg void OnTcnSelchangeTab1(NMHDR *pNMHDR, LRESULT *pResult);
	CTabCtrl m_cTabCtrl;
public:
	void ShowGeneralSubDlg(void);
	void ShowGraphicsSubDlg(void);
	void ShowMLSubDlg(void);
	void ShowSLSubDlg(void);
};
