// gp_dll.h : Hauptheaderdatei fr die gp_dll DLL
//

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// Hauptsymbole


// Cgp_dllApp
// Siehe gp_dll.cpp fr die Implementierung dieser Klasse
//

class Cgp_dllApp : public CWinApp
{
public:
	Cgp_dllApp();

// berschreibungen
public:
	virtual BOOL InitInstance();

	DECLARE_MESSAGE_MAP()
    virtual int ExitInstance();

private:
    HANDLE m_hMMFcontrolVIEW;
	HANDLE m_hMMFcontrolFILE;
	
    void ClearControlMMF(void);
    bool CheckForControlMMF(void);

public:
    bool MMF_SL_ShowText(BYTE cObjectNumber, bool bShowIt);
    bool MMF_SL_SetTextLineData(BYTE cObjectNumber, 
								WORD wTextPosX, WORD wTextPosY, 
                                LPCTSTR pTextLine, DWORD dwTextColor,
                                bool bBlackBackground, BYTE cSize,
                                bool bTextBold, BYTE cFontFamily);

    bool MMF_ML_ShowText(BYTE cObjectNumber, bool bShowIt);
    bool MMF_ML_SetTextMultilineData(BYTE cObjectNumber,
									 WORD wPosX, WORD wPosY,
                                     LPCTSTR pText, DWORD dwTextColor,
                                     bool bBlackBackground, BYTE cFontSize,
                                     bool bTextBold, WORD wSizeX, WORD wSizeY,
                                     BYTE cFontFamily);

    bool MMF_PIC_ShowPicturePos(bool bShowIt, WORD wPosX, WORD wPosY);
    bool MMF_PIC_LoadNewPicture(LPCTSTR sPathToFile);

	bool MMF_SI_GetScreenSize(int& piScreenX, int& piScreenY);
	bool MMF_SI_ShowFPS(bool bShowIt);

	bool MMF_SS_MakeScreenshot(bool bFormat, LPCTSTR sPathToScreenshot);
    
private:
    bool DataCheck_FontFamily(BYTE cFontFamily);
    bool DataCheck_Position(WORD wPosX, WORD wPosY);
};
