#pragma once

class CGPGraphics
{
public:
    CGPGraphics(IDirect3DDevice9 *pDevice, CGPComms *pComms);
    ~CGPGraphics(void);

private:
    void FontSetup(void);
    
    IDirect3DDevice9   *m_pDevice;
    CGPComms           *m_pComms;
    D3DXFONT_DESCA      m_LogFont;
    LPDIRECT3DTEXTURE9 m_pBackgroundTexture;
	LPDIRECT3DTEXTURE9 m_pPicture;

public:
    void Render(void);
   
private:
    void SL_DrawTextLineIngame(void);
    void ML_DrawMultiLineIngame(void);
	void PIC_LoadPicture(void);
    void PIC_DrawPicture(void);
	void SI_UpdateScreenInfo(void);
	void SI_DrawFPS(void);
	void SS_MakeScreenshot(void);
};
