// GeneralSubDlg.cpp : Implementierungsdatei
//

#include "stdafx.h"
#include "gp_demo.h"
#include "GeneralSubDlg.h"
#include ".\generalsubdlg.h"


// CGeneralSubDlg-Dialogfeld

IMPLEMENT_DYNAMIC(CGeneralSubDlg, CDialog)
CGeneralSubDlg::CGeneralSubDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CGeneralSubDlg::IDD, pParent)
	, m_sRecKeyList(_T(""))
	, m_sScreenSizeInfo("")
{
}

CGeneralSubDlg::~CGeneralSubDlg()
{
}

void CGeneralSubDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SI_SHOWFPS, m_cFPSInfo);
	DDX_Text(pDX, IDC_REC_KEY_LIST_EDIT, m_sRecKeyList);
	DDX_Text(pDX, IDC_SCREENSIZE_EDIT, m_sScreenSizeInfo);
}


BEGIN_MESSAGE_MAP(CGeneralSubDlg, CDialog)
	ON_WM_PAINT()
	ON_BN_CLICKED(IDC_SI_SHOWFPS, OnBnClickedSiShowfps)
	ON_BN_CLICKED(IDC_CLEARFORMKEYLIST_BUTTON, OnBnClickedClearformkeylistButton)
	ON_BN_CLICKED(IDC_SCREENSIZE_BUTTON, OnBnClickedScreensizeButton)
END_MESSAGE_MAP()


// CGeneralSubDlg-Meldungshandler

void CGeneralSubDlg::OnPaint()
{
	CPaintDC dc(this); // device context for painting
	// TODO: Fgen Sie hier Ihren Meldungsbehandlungscode ein.
	// CDialog::OnPaint() soll zum Zeichnen von Meldungen nicht aufgerufen werden.
}

void CGeneralSubDlg::OnBnClickedSiShowfps()
{
	bool (bShowIt) = (m_cFPSInfo.GetState()?true:false);
	Cgp_demoDlg *pWnd = (Cgp_demoDlg*) ::AfxGetApp()->m_pMainWnd;
	pWnd->GPSI_ShowFPS(bShowIt);
}

void CGeneralSubDlg::OnBnClickedClearformkeylistButton()
{
	m_sRecKeyList = "";
	UpdateData(false);
}

void CGeneralSubDlg::OnBnClickedScreensizeButton()
{
	int x,y;
	Cgp_demoDlg *pWnd = (Cgp_demoDlg*) ::AfxGetApp()->m_pMainWnd;
	pWnd->GPSI_GetScreenSize(&x,&y);
	m_sScreenSizeInfo.Format("%i x %i",x,y);
	UpdateData(false);
}
